Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex Identity and Access Management
  • Secure use of Yandex Cloud
  • Access management
  • Pricing policy
  • Role reference
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
        • ListOperations
        • Suspend
        • Reactivate
  • Monitoring metrics
  • Audit Trails events
  • Release notes

In this article:

  • gRPC request
  • ListServiceAccountsRequest
  • ListServiceAccountsResponse
  • ServiceAccount
  1. API reference
  2. gRPC
  3. ServiceAccount
  4. List

Identity and Access Management API, gRPC: ServiceAccountService.List

Written by
Yandex Cloud
Updated at June 23, 2026
View in Markdown
  • gRPC request
  • ListServiceAccountsRequest
  • ListServiceAccountsResponse
  • ServiceAccount

Retrieves the list of ServiceAccount resources in the specified folder.

gRPC requestgRPC request

rpc List (ListServiceAccountsRequest) returns (ListServiceAccountsResponse)

ListServiceAccountsRequestListServiceAccountsRequest

{
  "folder_id": "string",
  "page_size": "int64",
  "page_token": "string",
  "filter": "string"
}

Field

Description

folder_id

string

Required field. ID of the folder to list service accounts in.
To get the folder ID, use a yandex.cloud.resourcemanager.v1.FolderService.List request.

The maximum string length in characters is 50.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListServiceAccountsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.
Default value: 100

Acceptable values are 0 to 1000, inclusive.

page_token

string

Page token. To get the next page of results, set page_token
to the ListServiceAccountsResponse.next_page_token
returned by a previous list request.

The maximum string length in characters is 2000.

filter

string

A filter expression that filters resources listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on the ServiceAccount.name field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].

The maximum string length in characters is 1000.

ListServiceAccountsResponseListServiceAccountsResponse

{
  "service_accounts": [
    {
      "id": "string",
      "folder_id": "string",
      "created_at": "google.protobuf.Timestamp",
      "name": "string",
      "description": "string",
      "labels": "map<string, string>",
      "last_authenticated_at": "google.protobuf.Timestamp",
      "status": "Status",
      "expires_at": "google.protobuf.Timestamp"
    }
  ],
  "next_page_token": "string"
}

Field

Description

service_accounts[]

ServiceAccount

List of ServiceAccount resources.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListServiceAccountsRequest.page_size, use
the next_page_token as the value
for the ListServiceAccountsRequest.page_token query parameter
in the next list request. Each subsequent list request will have its own
next_page_token to continue paging through the results.

ServiceAccountServiceAccount

A ServiceAccount resource. For more information, see Service accounts.

Field

Description

id

string

ID of the service account.

folder_id

string

ID of the folder that the service account belongs to.

created_at

google.protobuf.Timestamp

Creation timestamp.

name

string

Name of the service account.
The name is unique within the cloud. 3-63 characters long.

description

string

Description of the service account. 0-256 characters long.

labels

object (map<string, string>)

Resource labels as key:value pairs. Maximum of 64 per resource.

last_authenticated_at

google.protobuf.Timestamp

Timestamp for the last authentication of this service account.

status

enum Status

Current status of the service account.
Determines whether the service account can authenticate and access the system.

  • CREATING: The service account is in the process of being created.
  • ACTIVE: The service account is active and can authenticate.
    Active service accounts have full access to the system according to their permissions.
  • SUSPENDED: The service account is suspended and cannot authenticate.
    Suspended service accounts retain their data but cannot access the system.
  • DELETING: The service account is in the process of being deleted.
    This is a transitional state before the service account is completely removed from the system.

expires_at

google.protobuf.Timestamp

Timestamp when the service account expires.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.